
Core - Task # 57130

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 55168 (Accepted): Optimize Extbase generic persistence
Task # 55167 (Resolved): Extbase: avoid parseQuery() / buildQuery() to be called multiple times

Status: Resolved Priority: Must have
Author: KJ Kooistra Category: Extbase
Created: 2014-03-21 Assigned To:
Updated: 2014-03-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Extbase Queries with NULL comparison don't work anymore
Description

Introduced by: http://forge.typo3.org/issues/55167

See https://review.typo3.org/#/c/27555/12/typo3/sysext/extbase/Classes/Persistence/Generic/Storage/Typo3DbQueryParser.php lines
356 - 363
Compare them to 
https://review.typo3.org/#/c/27555/12/typo3/sysext/extbase/Classes/Persistence/Generic/Storage/Typo3DbBackend.php (removed)
lines 755 - 762

The NULL operators are no longer passed on to the parseDynamicOperand method. I will add a change for this soon.

Associated revisions
Revision 8326a71f - 2014-03-24 17:57 - Klaas Johan Kooistra 

[BUGFIX] Queries with NULL don't work anymore

See change: I517c0500cad75cae96fd739f2ff7222db80b42a5
At the end of the Typo3DbQueryParser::parseComparison() method the updated
operator for NULL values was no longer passed to the parseDynamicOperand,
generating = NULL instead of IS NULL.

Solved the issue by adding the operator parameter again.

Change-Id: I13c3cecf0bf4c95789032f31ead192b945794484
Resolves: #57130
Related: #55167
Releases: 6.2
Reviewed-on: https://review.typo3.org/28592
Reviewed-by: Markus Klein
Reviewed-by: Felix Oertel
Tested-by: Felix Oertel

Revision 449c81e4 - 2014-03-24 22:32 - Felix Oertel 
[BUGFIX] FOLLOWUP Queries with NULL don't work

In https://review.typo3.org/28592 we apparently did not
fix the whole problem. This followup will deal with
the edge-case of using a similar built statement, which
results in the same hash being generated from the
QueryParser.

Resolves: #57130
Related: #55167
Releases: 6.2
Change-Id: I02a478fcabb89d11054f8f0a3c800965edfd7844
Reviewed-on: https://review.typo3.org/28715
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-03-21 09:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#2 - 2014-03-21 09:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#3 - 2014-03-21 17:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#4 - 2014-03-21 17:30 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#5 - 2014-03-22 20:56 - Ernesto Baschny
- Project changed from Extbase MVC Framework to Core
- Category changed from Extbase to Extbase
- Target version deleted (Extbase 6.2)

#6 - 2014-03-22 20:58 - Ernesto Baschny
- Target version set to 6.2.0
- Complexity deleted (easy)
- Is Regression set to No
- TYPO3 Version set to 6.2

#7 - 2014-03-22 20:59 - Ernesto Baschny
- Parent task set to #55167

#8 - 2014-03-23 17:05 - Ernesto Baschny
- Subject changed from Queries with NULL comparison don't work anymore to Extbase Queries with NULL comparison don't work anymore

#9 - 2014-03-24 14:56 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#10 - 2014-03-24 15:26 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#11 - 2014-03-24 17:54 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28592

#12 - 2014-03-24 18:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:8326a71fa240cebbd67f61f85dbae73e7da5aea5.

#13 - 2014-03-24 18:35 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28715

#14 - 2014-03-24 20:08 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28715

#15 - 2014-03-24 20:16 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28715

#16 - 2014-03-24 20:16 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28715

#17 - 2014-03-24 21:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28715

#18 - 2014-03-24 23:30 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:449c81e4de8de3de352891c6199e7ea0e9bfc77f.
